<?php
/*
 * A simple test to look how fast "serialization" of arrays with different
 * methods is.
 */

// Iterations
$iter = 2000000;

// Our test array
$array = array(
	0 => array(
		'a' => 'a',
		'b' => 'b'
	),
	'test' => pi()
);

// Now test with serialize()
print 'serialize() ...' . PHP_EOL;
$time = microtime(TRUE);
for ($idx = 0; $idx < $iter; $idx++) {
	$serialized = serialize($array);
}
$diff1 = microtime(TRUE) - $time;

// Now test with json_encode()
print 'json_encode() ...' . PHP_EOL;
$time = microtime(TRUE);
for ($idx = 0; $idx < $iter; $idx++) {
	$json_encoded = json_encode($array);
}
$diff2 = microtime(TRUE) - $time;

print 'diff1=' . $diff1 . ',diff2=' . $diff2 . PHP_EOL;

?>
